<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY raptor-download-http "https://download.librdf.org/source/raptor2-&raptor-version;.tar.gz">
  <!ENTITY raptor-download-ftp  " ">
  <!ENTITY raptor-md5sum        "0a71f13b6eaa0a04bf411083d89d7bc2">
  <!ENTITY raptor-size          "1.7 MB">
  <!ENTITY raptor-buildsize     "25 MB (additional 2 MB for the tests)">
  <!ENTITY raptor-time          "0.1 SBU (additional 0.3 SBU for the tests)">
]>

<sect1 id="raptor" xreflabel="Raptor-&raptor-version;">
  <?dbhtml filename="raptor.html"?>


  <title>Raptor-&raptor-version;</title>

  <indexterm zone="raptor">
    <primary sortas="a-Raptor">Raptor</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to Raptor</title>

    <para>
      <application>Raptor</application> is a C library that provides a set of
      parsers and serializers that generate Resource Description Framework
      (RDF) triples.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&raptor-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&raptor-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &raptor-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &raptor-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &raptor-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &raptor-time;
        </para>
      </listitem>
    </itemizedlist>
<!--
    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Required patch:
          <ulink url="&patch-root;/raptor-&raptor-version;-security_fixes-1.patch"/>
        </para>
      </listitem>
    </itemizedlist>
-->
    <bridgehead renderas="sect3">Raptor Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="curl"/> and
      <xref linkend="libxslt"/>
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="gtk-doc"/>,
      <xref linkend="icu"/> and
      <ulink url="https://lloyd.github.io/yajl/">libyajl</ulink>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of Raptor</title>

    <para>
      First, fix an incompatibility with libxml2-2.11.x:
    </para>

<screen><userinput remap="pre">sed -i 's/20627/20627 \&amp;\&amp; LIBXML_VERSION &lt; 21100/' src/raptor_libxml.c</userinput></screen>

    <para>
      Install <application>Raptor</application> by running the following
      commands:
    </para>

<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
make</userinput></screen>

    <para>
      To test the results, issue: <command>make check</command>.
      Several of the XML tests may fail.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/static-libraries.xml"/>

    <para>
      <option>--with-icu-config=/usr/bin/icu-config</option>: Use
      this switch if you have installed <xref linkend="icu"/> and wish
      to build <application>Raptor</application> with its support.
    </para>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          rapper
        </seg>
        <seg>
          libraptor2.so
        </seg>
        <seg>
          /usr/include/raptor2 and
          /usr/share/gtk-doc/html/raptor2
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="rapper">
        <term><command>rapper</command></term>
        <listitem>
          <para>
            is a RDF parsing and serializing utility
          </para>
          <indexterm zone="raptor rapper">
            <primary sortas="b-rapper">rapper</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libraptor2">
        <term><filename class="libraryfile">libraptor2.so</filename></term>
        <listitem>
          <para>
            contains the <application>Raptor</application> API functions
          </para>
          <indexterm zone="raptor libraptor2">
            <primary sortas="c-libraptor2">libraptor2.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
